Unable to load the mojo 'war' in the plugin 'due to an API incompatibility

Publicidade

Ao tentar gerar o WAR usando o comando MAVEN Install o usuário recebe mensagem de erro:

Failed to execute goal org.apache.maven.plugins:maven-war-plugin:2.5:war (default-war) on project e-material: Execution default-war of goal org.apache.maven.plugins:maven-war-plugin:2.5:war failed: Unable to load the mojo 'war' in the plugin 'org.apache.maven.plugins:maven-war-plugin:2.5' due to an API incompatibility: org.codehaus.plexus.component.repository.exception.ComponentLookupException: null

Para contornar o problema, é necessário atualizar o arquivo POM.XML com a versão compatível do Maven WAR Plugin:


<version.war.plugin>3.3.1</version.war.plugin>

Java
novembro 29, 2021
0

Comentários

Menu

Pesquisar

Últimos Comentários

Fale Comigo